/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Modification
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Modification {
  @SerializedName("description")
  private String description = null;

  @SerializedName("comment")
  private String comment = null;

  @SerializedName("created_at")
  private String createdAt = null;

  @SerializedName("type")
  private String type = null;

  @SerializedName("editor")
  private String editor = null;

  public Modification description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Modification summary.
   * @return description
  **/
  @ApiModelProperty(example = "Edit Address", value = "Modification summary.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Modification comment(String comment) {
    this.comment = comment;
    return this;
  }

   /**
   * Additional information.
   * @return comment
  **/
  @ApiModelProperty(value = "Additional information.")
  public String getComment() {
    return comment;
  }

  public void setComment(String comment) {
    this.comment = comment;
  }

  public Modification createdAt(String createdAt) {
    this.createdAt = createdAt;
    return this;
  }

   /**
   * Modification date - ISO 8601 format (YYYY-MM-DD).
   * @return createdAt
  **/
  @ApiModelProperty(value = "Modification date - ISO 8601 format (YYYY-MM-DD).")
  public String getCreatedAt() {
    return createdAt;
  }

  public void setCreatedAt(String createdAt) {
    this.createdAt = createdAt;
  }

  public Modification type(String type) {
    this.type = type;
    return this;
  }

   /**
   * Modification type.
   * @return type
  **/
  @ApiModelProperty(example = "Client request", value = "Modification type.")
  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public Modification editor(String editor) {
    this.editor = editor;
    return this;
  }

   /**
   * Modification editor.
   * @return editor
  **/
  @ApiModelProperty(example = "Smith", value = "Modification editor.")
  public String getEditor() {
    return editor;
  }

  public void setEditor(String editor) {
    this.editor = editor;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Modification modification = (Modification) o;
    return Objects.equals(this.description, modification.description) &&
        Objects.equals(this.comment, modification.comment) &&
        Objects.equals(this.createdAt, modification.createdAt) &&
        Objects.equals(this.type, modification.type) &&
        Objects.equals(this.editor, modification.editor);
  }

  @Override
  public int hashCode() {
    return Objects.hash(description, comment, createdAt, type, editor);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Modification {\n");
    
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    comment: ").append(toIndentedString(comment)).append("\n");
    sb.append("    createdAt: ").append(toIndentedString(createdAt)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    editor: ").append(toIndentedString(editor)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

